Loading...
Searching...
No Matches
VmaAllocator Struct Reference
Library initialization

Represents main object of this library initialized. More...

## Detailed Description

Represents main object of this library initialized.

Fill structure VmaAllocatorCreateInfo and call function vmaCreateAllocator() to create it. Call function vmaDestroyAllocator() to destroy it.

It is recommended to create just one object of this type per VkDevice object, right after Vulkan is initialized and keep it alive until before Vulkan device is destroyed.

The documentation for this struct was generated from the following file:

- vk_mem_alloc.h